Subject: Re: [Sip] REFER: Who has implemented REFER without creating subscriptions?

From: Robert Sparks <[email-masked]>
Date: 10 Jul 2002 15:14:55 -0500

I've received no responses indicating someone has implemented
accepting REFER and not sending NOTIFY. As sip-events matured,
the perceived potential need for that behavior has diminished.

So, I am changing REFER to require the implicit subscription,
so at least one NOTIFY will always be sent. (An implementation
that needs to be extremely lightweight can send just one NOTIFY
terminating the subscription). This change makes the 
Required/Supported mechanics discussed in 
draft-sparks-sip-refer-3265disc-00 unnecessary. I will remove
them.

When the submission blackout is listed, I will submit the
revised 3265disc draft as draft-ietf-sip-refer-06.

RjS

On Thu, 2002-06-27 at 09:46, Robert Sparks wrote:
> This was part of the last message I sent, but it was buried
> pretty deep.
> 
> When we made the decision to go with implicit subscriptions
> work around the finite length non-INVITE transaction, we made
> serving that subscription SHOULD strength to allow for implementations
> that couldn't deal with the weight of serving subscriptions.
> 
> Do the original proponents of allowing implementations to never
> send a notify still see this need? Are there any implementations
> out there that accept a REFER but don't send NOTIFYs?
> 
> The subscription concept has substantially matured (in particular,
> Subscription-State is explicitly communicated). As Dan points out
> in his last note, an implementation that needed to be very lightweight
> could send exactly one NOTIFY terminating the subscription. If
> serving the subscription (even if it involved sending just that
> one NOTIFY) were strictly mandatory, the error space is much smaller.
> 
> RjS
> 
> 
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip